=== modified file 'Makefile'
--- Makefile	2011-04-09 15:20:23 +0000
+++ Makefile	2011-05-11 13:27:33 +0000
@@ -1,6 +1,6 @@
 FETCH_CMD=wget
 MASTER_SITE=http://www.percona.com/downloads/community
-MYSQL_VERSION=5.5.11
+MYSQL_VERSION=5.5.12
 PERCONA_SERVER ?=Percona-Server
 DEBUG_DIR ?= $(PERCONA_SERVER)-debug
 RELEASE_DIR ?= $(PERCONA_SERVER)-release

=== modified file 'innodb_expand_fast_index_creation.patch'
--- innodb_expand_fast_index_creation.patch	2011-04-11 19:37:54 +0000
+++ innodb_expand_fast_index_creation.patch	2011-05-11 13:27:33 +0000
@@ -4,10 +4,11 @@
 # Expands the applicability of InnoDB fast index creation to mysqldump,
 # ALTER TABLE and OPTIMIZE TABLE.
 #
+#
 diff -ruN a/client/client_priv.h b/client/client_priv.h
 --- a/client/client_priv.h	2011-04-11 08:57:20.000000000 +0400
 +++ b/client/client_priv.h	2011-04-11 08:57:21.000000000 +0400
-@@ -89,6 +89,7 @@
+@@ -90,6 +90,7 @@
    OPT_NO_REMOVE_EOL_CARRET,
    OPT_DEFAULT_AUTH,
    OPT_DEFAULT_PLUGIN,
@@ -524,15 +525,7 @@
  
    DBUG_ENTER("mysql_prepare_alter_table");
  
-@@ -5286,6 +5314,7 @@
-     char *tablespace= static_cast<char *>(thd->alloc(FN_LEN + 1));
-     /*
-        Regular alter table of disk stored table (no tablespace/storage change)
-+
-        Copy tablespace name
-     */
-     if (tablespace &&
-@@ -5436,7 +5465,23 @@
+@@ -5431,7 +5459,23 @@
    /*
      Collect all keys which isn't in drop list. Add only those
      for which some fields exists.
@@ -557,7 +550,7 @@
  
    for (uint i=0 ; i < table->s->keys ; i++,key_info++)
    {
-@@ -5553,6 +5598,8 @@
+@@ -5548,6 +5592,8 @@
                     test(key_info->flags & HA_GENERATED_KEY),
                     key_parts);
        new_key_list.push_back(key);
@@ -566,7 +559,7 @@
      }
    }
    {
-@@ -5560,7 +5607,21 @@
+@@ -5555,7 +5601,21 @@
      while ((key=key_it++))			// Add new keys
      {
        if (key->type != Key::FOREIGN_KEY)
@@ -588,7 +581,7 @@
        if (key->name.str &&
  	  !my_strcasecmp(system_charset_info, key->name.str, primary_key_name))
        {
-@@ -5609,12 +5670,100 @@
+@@ -5604,12 +5664,100 @@
    rc= FALSE;
    alter_info->create_list.swap(new_create_list);
    alter_info->key_list.swap(new_key_list);
@@ -689,7 +682,7 @@
    Alter table
  
    SYNOPSIS
-@@ -6405,19 +6554,38 @@
+@@ -6400,19 +6548,38 @@
    */
    if (new_table && !(new_table->file->ha_table_flags() & HA_NO_COPY_ON_ALTER))
    {

=== modified file 'log_warnings_suppress.patch'
--- log_warnings_suppress.patch	2011-04-09 15:20:23 +0000
+++ log_warnings_suppress.patch	2011-05-11 13:27:33 +0000
@@ -68,7 +68,7 @@
 diff -ruN a/sql/sys_vars.cc b/sql/sys_vars.cc
 --- a/sql/sys_vars.cc	2011-04-09 18:48:55.000000000 +0400
 +++ b/sql/sys_vars.cc	2011-04-09 18:48:59.000000000 +0400
-@@ -1434,6 +1434,15 @@
+@@ -1470,6 +1470,15 @@
         READ_ONLY GLOBAL_VAR(mysqld_port), CMD_LINE(REQUIRED_ARG, 'P'),
         VALID_RANGE(0, UINT_MAX32), DEFAULT(0), BLOCK_SIZE(1));
  

=== modified file 'mysql-test.diff'
--- mysql-test.diff	2011-04-09 15:20:23 +0000
+++ mysql-test.diff	2011-05-11 13:27:33 +0000
@@ -658,7 +658,7 @@
 diff -ruN a/mysql-test/r/show_check.result b/mysql-test/r/show_check.result
 --- a/mysql-test/r/show_check.result	2011-04-09 18:48:03.000000000 +0400
 +++ b/mysql-test/r/show_check.result	2011-04-09 18:49:05.000000000 +0400
-@@ -1537,14 +1537,14 @@
+@@ -1538,14 +1538,14 @@
  SET NAMES latin1;
  SELECT GET_LOCK('t',1000) AS 'óóóó';;
  SHOW PROCESSLIST;
@@ -751,7 +751,7 @@
 diff -ruN a/mysql-test/t/show_check.test b/mysql-test/t/show_check.test
 --- a/mysql-test/t/show_check.test	2011-04-09 18:48:03.000000000 +0400
 +++ b/mysql-test/t/show_check.test	2011-04-09 18:49:05.000000000 +0400
-@@ -1375,10 +1375,10 @@
+@@ -1376,10 +1376,10 @@
  let $wait_timeout= 10;
  let $wait_condition= SELECT COUNT(*) FROM INFORMATION_SCHEMA.PROCESSLIST WHERE INFO LIKE '%GET_LOCK%' AND ID != CONNECTION_ID();
  --source include/wait_condition.inc

=== modified file 'mysql_remove_eol_carret.patch'
--- mysql_remove_eol_carret.patch	2011-04-09 15:20:23 +0000
+++ mysql_remove_eol_carret.patch	2011-05-11 13:27:33 +0000
@@ -8,7 +8,7 @@
 diff -ruN a/client/client_priv.h b/client/client_priv.h
 --- a/client/client_priv.h	2011-04-09 18:48:54.000000000 +0400
 +++ b/client/client_priv.h	2011-04-09 18:49:03.000000000 +0400
-@@ -86,6 +86,7 @@
+@@ -87,6 +87,7 @@
    OPT_SYSLOG,
  #endif
    OPT_PLUGIN_DIR,

=== modified file 'mysql_syslog.patch'
--- mysql_syslog.patch	2011-04-09 15:20:23 +0000
+++ mysql_syslog.patch	2011-05-11 13:27:33 +0000
@@ -8,7 +8,7 @@
 diff -ruN a/client/client_priv.h b/client/client_priv.h
 --- a/client/client_priv.h	2011-04-09 18:48:18.000000000 +0400
 +++ b/client/client_priv.h	2011-04-09 18:48:54.000000000 +0400
-@@ -82,6 +82,9 @@
+@@ -83,6 +83,9 @@
    OPT_DEBUG_INFO, OPT_DEBUG_CHECK, OPT_COLUMN_TYPES, OPT_ERROR_LOG_FILE,
    OPT_WRITE_BINLOG, OPT_DUMP_DATE,
    OPT_INIT_COMMAND,

=== modified file 'normalize_patches.sh'
--- normalize_patches.sh	2011-03-23 22:17:40 +0000
+++ normalize_patches.sh	2011-05-11 13:27:33 +0000
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 #ls -1 *.patch | grep -v repair | xargs bzr revert
-test -z ${MYSQL_VERSION} && MYSQL_VERSION=5.5.10
+test -z ${MYSQL_VERSION} && MYSQL_VERSION=5.5.12
 test -z ${MYSQL_DIR} && MYSQL_DIR=mysql-${MYSQL_VERSION}
 test -z ${MYSQL_TAR_GZ} && MYSQL_TAR_GZ=${MYSQL_DIR}.tar.gz
 test -z ${SERIES} && SERIES=series

=== modified file 'processlist_row_stats.patch'
--- processlist_row_stats.patch	2011-03-23 22:17:40 +0000
+++ processlist_row_stats.patch	2011-05-11 13:27:33 +0000
@@ -19,7 +19,7 @@
 diff -ruN a/sql/sql_show.cc b/sql/sql_show.cc
 --- a/sql/sql_show.cc	2011-03-09 17:07:26.251706801 +0200
 +++ b/sql/sql_show.cc	2011-03-09 17:07:44.904163954 +0200
-@@ -1759,7 +1759,8 @@
+@@ -1766,7 +1766,8 @@
  
  /****************************************************************************
    Return info about all processes
@@ -29,7 +29,7 @@
  ****************************************************************************/
  
  class thread_info :public ilink {
-@@ -1777,6 +1778,7 @@
+@@ -1784,6 +1785,7 @@
    uint   command;
    const char *user,*host,*db,*proc_info,*state_info;
    CSET_STRING query_string;
@@ -37,7 +37,7 @@
  };
  
  #ifdef HAVE_EXPLICIT_TEMPLATE_INSTANTIATION
-@@ -1829,6 +1831,15 @@
+@@ -1836,6 +1838,15 @@
    field->maybe_null=1;
    field_list.push_back(field=new Item_empty_string("Info",max_query_length));
    field->maybe_null=1;
@@ -53,7 +53,7 @@
    if (protocol->send_result_set_metadata(&field_list,
                              Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF))
      DBUG_VOID_RETURN;
-@@ -1882,6 +1893,9 @@
+@@ -1889,6 +1900,9 @@
            thd_info->query_string=
              CSET_STRING(q, q ? length : 0, tmp->query_charset());
          }
@@ -63,7 +63,7 @@
          mysql_mutex_unlock(&tmp->LOCK_thd_data);
          thd_info->start_time= tmp->start_time;
          thread_infos.append(thd_info);
-@@ -1910,6 +1924,9 @@
+@@ -1917,6 +1931,9 @@
      protocol->store(thd_info->state_info, system_charset_info);
      protocol->store(thd_info->query_string.str(),
                      thd_info->query_string.charset());
@@ -73,7 +73,7 @@
      if (protocol->write())
        break; /* purecov: inspected */
    }
-@@ -2020,6 +2037,15 @@
+@@ -2027,6 +2044,15 @@
        table->field[8]->store(((tmp->start_utime ?
                                 now_utime - tmp->start_utime : 0)/ 1000));
  
@@ -89,7 +89,7 @@
        if (schema_table_store_record(thd, table))
        {
          mysql_mutex_unlock(&LOCK_thread_count);
-@@ -7941,6 +7967,12 @@
+@@ -7947,6 +7973,12 @@
     SKIP_OPEN_TABLE},
    {"TIME_MS", MY_INT64_NUM_DECIMAL_DIGITS, MYSQL_TYPE_LONGLONG,
     0, 0, "Time_ms", SKIP_OPEN_TABLE},

=== modified file 'query_cache_enhance.patch'
--- query_cache_enhance.patch	2011-04-09 15:20:23 +0000
+++ query_cache_enhance.patch	2011-05-11 13:27:33 +0000
@@ -477,7 +477,7 @@
 diff -ruN a/sql/sys_vars.cc b/sql/sys_vars.cc
 --- a/sql/sys_vars.cc	2011-04-09 18:48:50.000000000 +0400
 +++ b/sql/sys_vars.cc	2011-04-09 18:48:53.000000000 +0400
-@@ -1750,6 +1750,11 @@
+@@ -1786,6 +1786,11 @@
         NO_MUTEX_GUARD, NOT_IN_BINLOG, ON_CHECK(0),
         ON_UPDATE(fix_query_cache_size));
  

=== modified file 'response_time_distribution.patch'
--- response_time_distribution.patch	2011-04-10 07:34:52 +0000
+++ response_time_distribution.patch	2011-05-11 13:27:33 +0000
@@ -25,7 +25,7 @@
 diff -ruN a/include/mysql_com.h b/include/mysql_com.h
 --- a/include/mysql_com.h	2011-03-31 17:36:18.000000000 +0400
 +++ b/include/mysql_com.h	2011-04-10 11:28:51.000000000 +0400
-@@ -137,10 +137,11 @@
+@@ -141,10 +141,11 @@
  #define REFRESH_FAST		32768	/* Intern flag */
  
  /* RESET (remove all queries) from query cache */
@@ -773,7 +773,7 @@
  #include "lock.h"                           // MYSQL_OPEN_IGNORE_FLUSH
  #include "debug_sync.h"
  #include "datadict.h"   // dd_frm_type()
-@@ -7689,6 +7690,14 @@
+@@ -7695,6 +7696,14 @@
  
  */
  
@@ -788,7 +788,7 @@
  ST_SCHEMA_TABLE schema_tables[]=
  {
    {"CHARACTER_SETS", charsets_fields_info, create_schema_table, 
-@@ -7742,6 +7751,13 @@
+@@ -7748,6 +7757,13 @@
     1, 9, 0, OPTIMIZE_I_S_TABLE|OPEN_TABLE_ONLY},
    {"ROUTINES", proc_fields_info, create_schema_table, 
     fill_schema_proc, make_proc_old_format, 0, -1, -1, 0, 0},
@@ -861,7 +861,7 @@
  /*
    This forward declaration is needed because including sql_base.h
    causes further includes.  [TODO] Eliminate this forward declaration
-@@ -1801,6 +1802,26 @@
+@@ -1837,6 +1838,26 @@
         DEFAULT(FALSE));
  #endif /* HAVE_QUERY_CACHE */
  

=== modified file 'slow_extended.patch'
--- slow_extended.patch	2011-04-09 15:20:23 +0000
+++ slow_extended.patch	2011-05-11 13:27:33 +0000
@@ -459,7 +459,7 @@
  /**
    Get server options from the command line,
    and perform related server initializations.
-@@ -7372,6 +7380,8 @@
+@@ -7380,6 +7388,8 @@
    global_system_variables.long_query_time= (ulonglong)
      (global_system_variables.long_query_time_double * 1e6);
  
@@ -794,7 +794,7 @@
    /*
      Reset warning count for each query that uses tables
      A better approach would be to reset this for any commands
-@@ -5248,6 +5286,21 @@
+@@ -5252,6 +5290,21 @@
    thd->rand_used= 0;
    thd->sent_row_count= thd->examined_row_count= 0;
  
@@ -875,7 +875,7 @@
 diff -ruN a/sql/sql_show.cc b/sql/sql_show.cc
 --- a/sql/sql_show.cc	2011-04-09 18:48:20.000000000 +0400
 +++ b/sql/sql_show.cc	2011-04-09 18:48:50.000000000 +0400
-@@ -1943,8 +1943,17 @@
+@@ -1950,8 +1950,17 @@
          table->field[4]->store(command_name[tmp->command].str,
                                 command_name[tmp->command].length, cs);
        /* MYSQL_TIME */
@@ -898,7 +898,7 @@
 diff -ruN a/sql/sys_vars.cc b/sql/sys_vars.cc
 --- a/sql/sys_vars.cc	2011-04-09 18:48:19.000000000 +0400
 +++ b/sql/sys_vars.cc	2011-04-09 18:48:50.000000000 +0400
-@@ -2862,6 +2862,117 @@
+@@ -2898,6 +2898,117 @@
         DEFAULT(FALSE), NO_MUTEX_GUARD, NOT_IN_BINLOG, ON_CHECK(0),
         ON_UPDATE(fix_log_state));
  

=== modified file 'sql_no_fcache.patch'
--- sql_no_fcache.patch	2011-04-09 15:20:23 +0000
+++ sql_no_fcache.patch	2011-05-11 13:27:33 +0000
@@ -322,7 +322,7 @@
 diff -ruN a/sql/sql_lex.h b/sql/sql_lex.h
 --- a/sql/sql_lex.h	2011-04-09 18:48:20.000000000 +0400
 +++ b/sql/sql_lex.h	2011-04-09 18:48:58.000000000 +0400
-@@ -2291,6 +2291,7 @@
+@@ -2292,6 +2292,7 @@
  
    enum enum_yes_no_unknown tx_chain, tx_release;
    bool safe_to_cache_query;

=== modified file 'userstat.patch'
--- userstat.patch	2011-04-10 08:38:22 +0000
+++ userstat.patch	2011-05-11 13:27:33 +0000
@@ -29,7 +29,7 @@
  
  /*
    Maximum length of comments
-@@ -142,6 +143,11 @@
+@@ -146,6 +147,11 @@
  #define REFRESH_DES_KEY_FILE	     0x40000L
  #define REFRESH_USER_RESOURCES	     0x80000L
  #define REFRESH_QUERY_RESPONSE_TIME 0x100000L /* response time distibution */
@@ -612,7 +612,7 @@
      delete thd;
      DBUG_VOID_RETURN;
    }
-@@ -7878,6 +7910,8 @@
+@@ -7886,6 +7918,8 @@
    key_delayed_insert_mutex, key_hash_filo_lock, key_LOCK_active_mi,
    key_LOCK_connection_count, key_LOCK_crypt, key_LOCK_delayed_create,
    key_LOCK_delayed_insert, key_LOCK_delayed_status, key_LOCK_error_log,
@@ -621,7 +621,7 @@
    key_LOCK_gdl, key_LOCK_global_system_variables,
    key_LOCK_manager,
    key_LOCK_prepared_stmt_count,
-@@ -7917,6 +7951,13 @@
+@@ -7925,6 +7959,13 @@
    { &key_LOCK_delayed_insert, "LOCK_delayed_insert", PSI_FLAG_GLOBAL},
    { &key_LOCK_delayed_status, "LOCK_delayed_status", PSI_FLAG_GLOBAL},
    { &key_LOCK_error_log, "LOCK_error_log", PSI_FLAG_GLOBAL},
@@ -1838,7 +1838,7 @@
        my_error(ER_SPECIFIC_ACCESS_DENIED_ERROR, MYF(0), "SUPER");
        DBUG_RETURN(TRUE);
      }
-@@ -4753,6 +4774,7 @@
+@@ -4757,6 +4778,7 @@
        case ACL_INTERNAL_ACCESS_DENIED:
          if (! no_errors)
          {
@@ -1846,7 +1846,7 @@
            my_error(ER_DBACCESS_DENIED_ERROR, MYF(0),
                     sctx->priv_user, sctx->priv_host, db);
          }
-@@ -4803,6 +4825,7 @@
+@@ -4807,6 +4829,7 @@
      DBUG_PRINT("error",("No possible access"));
      if (!no_errors)
      {
@@ -1854,7 +1854,7 @@
        if (thd->password == 2)
          my_error(ER_ACCESS_DENIED_NO_PASSWORD_ERROR, MYF(0),
                   sctx->priv_user,
-@@ -4919,6 +4942,7 @@
+@@ -4923,6 +4946,7 @@
  
      if (!thd->col_access && check_grant_db(thd, dst_db_name))
      {
@@ -1862,7 +1862,7 @@
        my_error(ER_DBACCESS_DENIED_ERROR, MYF(0),
                 thd->security_ctx->priv_user,
                 thd->security_ctx->priv_host,
-@@ -5189,6 +5213,7 @@
+@@ -5193,6 +5217,7 @@
    if ((thd->security_ctx->master_access & want_access))
      return 0;
    get_privilege_desc(command, sizeof(command), want_access);
@@ -1870,7 +1870,7 @@
    my_error(ER_SPECIFIC_ACCESS_DENIED_ERROR, MYF(0), command);
    return 1;
  #else
-@@ -5570,6 +5595,32 @@
+@@ -5574,6 +5599,32 @@
    lex_start(thd);
    mysql_reset_thd_for_next_command(thd);
  
@@ -1903,7 +1903,7 @@
    if (query_cache_send_result_to_client(thd, rawbuf, length) <= 0)
    {
      LEX *lex= thd->lex;
-@@ -5638,6 +5689,52 @@
+@@ -5642,6 +5693,52 @@
      DBUG_ASSERT(thd->change_list.is_empty());
    }
  
@@ -2469,7 +2469,7 @@
      my_error(ER_DBACCESS_DENIED_ERROR, MYF(0),
               sctx->priv_user, sctx->host_or_ip, dbname);
      general_log_print(thd,COM_INIT_DB,ER(ER_DBACCESS_DENIED_ERROR),
-@@ -2352,6 +2390,284 @@
+@@ -2359,6 +2397,284 @@
    DBUG_RETURN(res);
  }
  
@@ -2754,7 +2754,7 @@
  
  /* collect status for all running threads */
  
-@@ -7513,6 +7829,104 @@
+@@ -7519,6 +7835,104 @@
  };
  
  
@@ -2859,7 +2859,7 @@
  ST_FIELD_INFO processlist_fields_info[]=
  {
    {"ID", 4, MYSQL_TYPE_LONGLONG, 0, 0, "Id", SKIP_OPEN_TABLE},
-@@ -7702,6 +8116,8 @@
+@@ -7708,6 +8122,8 @@
  {
    {"CHARACTER_SETS", charsets_fields_info, create_schema_table, 
     fill_schema_charsets, make_character_sets_old_format, 0, -1, -1, 0, 0},
@@ -2868,7 +2868,7 @@
    {"COLLATIONS", collation_fields_info, create_schema_table, 
     fill_schema_collation, make_old_format, 0, -1, -1, 0, 0},
    {"COLLATION_CHARACTER_SET_APPLICABILITY", coll_charset_app_fields_info,
-@@ -7711,6 +8127,8 @@
+@@ -7717,6 +8133,8 @@
     OPTIMIZE_I_S_TABLE|OPEN_VIEW_FULL},
    {"COLUMN_PRIVILEGES", column_privileges_fields_info, create_schema_table,
     fill_schema_column_privileges, 0, 0, -1, -1, 0, 0},
@@ -2877,7 +2877,7 @@
    {"ENGINES", engines_fields_info, create_schema_table,
     fill_schema_engines, make_old_format, 0, -1, -1, 0, 0},
  #ifdef HAVE_EVENT_SCHEDULER
-@@ -7783,14 +8201,20 @@
+@@ -7789,14 +8207,20 @@
     get_all_tables, make_table_names_old_format, 0, 1, 2, 1, 0},
    {"TABLE_PRIVILEGES", table_privileges_fields_info, create_schema_table,
     fill_schema_table_privileges, 0, 0, -1, -1, 0, 0},
@@ -3246,7 +3246,7 @@
 diff -ruN a/sql/sys_vars.cc b/sql/sys_vars.cc
 --- a/sql/sys_vars.cc	2011-04-10 12:23:56.000000000 +0400
 +++ b/sql/sys_vars.cc	2011-04-10 12:24:34.000000000 +0400
-@@ -1573,6 +1573,17 @@
+@@ -1609,6 +1609,17 @@
         NO_MUTEX_GUARD, NOT_IN_BINLOG,
         ON_CHECK(check_read_only), ON_UPDATE(fix_read_only));
  

